public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [rpms/gcc] rhel-f41-base: Import RHEL's regression test for #1927579
@ 2026-06-29 12:29 
  0 siblings, 0 replies; only message in thread
From:  @ 2026-06-29 12:29 UTC (permalink / raw)
  To: git-commits

A new commit has been pushed.

Repo   : rpms/gcc
Branch : rhel-f41-base
Commit : 3507c942bdf291e90c9c13da910426d1e6b5f495
Author : Václav Kadlčík <vkadlcik@redhat.com>
Date   : 2021-07-09T15:36:20+02:00
Stats  : +73/-0 in 3 file(s)
URL    : https://src.fedoraproject.org/rpms/gcc/c/3507c942bdf291e90c9c13da910426d1e6b5f495?branch=rhel-f41-base

Log:
Import RHEL's regression test for #1927579

---
diff --git a/tests/Regression/bz1927579-libgfortran-seems-to-be-missing/alloc1.f90 b/tests/Regression/bz1927579-libgfortran-seems-to-be-missing/alloc1.f90
new file mode 100644
index 0000000..8765255
--- /dev/null
+++ b/tests/Regression/bz1927579-libgfortran-seems-to-be-missing/alloc1.f90
@@ -0,0 +1,5 @@
+program test_allocated
+  integer :: i = 4
+  real(4), allocatable :: x(:)
+  if (.not. allocated(x)) allocate(x(i))
+end program test_allocated

diff --git a/tests/Regression/bz1927579-libgfortran-seems-to-be-missing/main.fmf b/tests/Regression/bz1927579-libgfortran-seems-to-be-missing/main.fmf
new file mode 100644
index 0000000..d6b5ead
--- /dev/null
+++ b/tests/Regression/bz1927579-libgfortran-seems-to-be-missing/main.fmf
@@ -0,0 +1,17 @@
+summary: Test for BZ#1927579 (libgfortran seems to be missing)
+description: |
+    Bug summary: libgfortran seems to be missing _gfortran_os_error_at
+    Bugzilla link: https://bugzilla.redhat.com/show_bug.cgi?id=1927579
+contact: Alexandra Hájková <ahajkova@redhat.com>
+component:
+- gcc
+test: ./runtest.sh
+framework: beakerlib
+recommend:
+- gcc
+- gcc-gfortran
+duration: 5m
+link:
+-   relates: https://bugzilla.redhat.com/show_bug.cgi?id=1927579
+extra-summary: /tools/gcc/Regression/bz1927579-libgfortran-seems-to-be-missing
+extra-task: /tools/gcc/Regression/bz1927579-libgfortran-seems-to-be-missing

diff --git a/tests/Regression/bz1927579-libgfortran-seems-to-be-missing/runtest.sh b/tests/Regression/bz1927579-libgfortran-seems-to-be-missing/runtest.sh
new file mode 100755
index 0000000..e635213
--- /dev/null
+++ b/tests/Regression/bz1927579-libgfortran-seems-to-be-missing/runtest.sh
@@ -0,0 +1,51 @@
+#!/bin/bash
+# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   runtest.sh of /tools/gcc/Regression/bz1927579-libgfortran-seems-to-be-missing
+#   Description: Test for BZ#1927579 (libgfortran seems to be missing)
+#   Author: Alexandra Hájková <ahajkova@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   Copyright (c) 2021 Red Hat, Inc.
+#
+#   This program is free software: you can redistribute it and/or
+#   modify it under the terms of the GNU General Public License as
+#   published by the Free Software Foundation, either version 2 of
+#   the License, or (at your option) any later version.
+#
+#   This program is distributed in the hope that it will be
+#   useful, but WITHOUT ANY WARRANTY; without even the implied
+#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+#   PURPOSE.  See the GNU General Public License for more details.
+#
+#   You should have received a copy of the GNU General Public License
+#   along with this program. If not, see http://www.gnu.org/licenses/.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+# Include Beaker environment
+. /usr/share/beakerlib/beakerlib.sh || exit 1
+
+PACKAGE="gcc"
+
+rlJournalStart
+    rlPhaseStartSetup
+        rlAssertRpm $PACKAGE
+        rlRun "TmpDir=\$(mktemp -d)" 0 "Creating tmp directory"
+        rlRun "cp alloc1.f90 $TmpDir"
+        rlRun "pushd $TmpDir"
+    rlPhaseEnd
+
+    rlPhaseStartTest
+    rlRun "gfortran alloc1.f90" &> log
+    rlAssertNotGrep "alloc1.f90:(.text+0x131): undefined reference" log
+    rlPhaseEnd
+
+    rlPhaseStartCleanup
+        rlRun "popd"
+        rlRun "rm -r $TmpDir" 0 "Removing tmp directory"
+    rlPhaseEnd
+rlJournalPrintText
+rlJournalEnd

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-06-29 12:29 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-06-29 12:29 [rpms/gcc] rhel-f41-base: Import RHEL's regression test for #1927579 

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox